Package picard.util.IntervalList

## Class IntervalListScattererWithoutSubdivisionWithOverflow

- java.lang.Object
- - picard.util.IntervalList.IntervalListScattererByBaseCount
  - - picard.util.IntervalList.IntervalListScattererWithoutSubdivision
    - - picard.util.IntervalList.IntervalListScattererWithoutSubdivisionWithOverflow

- All Implemented Interfaces:
    `IntervalListScatterer`

      public class IntervalListScattererWithoutSubdivisionWithOverflow
      extends IntervalListScattererWithoutSubdivision

  Like `IntervalListScattererWithoutSubdivision` but will overflow current list if the projected size of the remaining lists is bigger than the "ideal".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntervalListScattererWithoutSubdivisionWithOverflow()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `shouldIncludeInterval​(long idealSplitWeight, double projectedSizeOfRemaining, long projectedSize)` |

    - ### Methods inherited from class picard.util.IntervalList.IntervalListScattererWithoutSubdivision

      `deduceIdealSplitWeight, takeSome`

    - ### Methods inherited from class picard.util.IntervalList.IntervalListScattererByBaseCount

      `intervalWeight, listWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.util.IntervalList.IntervalListScatterer

      `preprocessIntervalList, scatter`

- - ### Constructor Detail

    - #### IntervalListScattererWithoutSubdivisionWithOverflow

          public IntervalListScattererWithoutSubdivisionWithOverflow()

  - ### Method Detail

    - #### shouldIncludeInterval

          protected boolean shouldIncludeInterval​(long idealSplitWeight,
                                                  double projectedSizeOfRemaining,
                                                  long projectedSize)

      Overrides:
        `shouldIncludeInterval` in class `IntervalListScattererWithoutSubdivision`